=== debian/changelog ===
saoimage (1.29.3-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Wed, 25 Apr 2001 10:05:24 +0200

saoimage (1.29.2-1) unstable; urgency=low

  * New upstream release.
  * Fixed #74963 (compiled with FITS support)
  * Fixed #78778 (compiled with IRAF imtool support)

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Tue, 13 Mar 2001 10:57:46 +0100

saoimage (1.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Sun,  3 Sep 2000 18:55:58 +0100

saoimage (1.27.2-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Mon, 19 Jun 2000 12:11:21 +0100

saoimage (1.26.10-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Tue,  8 feb 2000 17:36:10 +0000

saoimage (1.26-2) unstable; urgency=low

  * Documentation moved (FHS compliant).

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Wed,  5 Nov 1999 00:18:27 +0000

saoimage (1.26-1) unstable; urgency=low

  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Wed, 02 Jun 1999 12:15:57 +0100

saoimage (1.25-2) unstable; urgency=low

  * Menu file added
  * Binary 'saoimage' moved from /usr/bin to /usr/bin/X11.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Fry, 29 Jan 1999 16:16:15 +0000

saoimage (1.25-1) unstable; urgency=low

  * New upstream release.
  * Bug #16928 seem be fixed.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Thu, 26 Jan 1999 15:00:27 +0000

saoimage (1.24-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.

 -- Tinguaro Barreno Delgado <tbarreno@debian.org>  Thu, 24 Sep 1998 20:13:35 +0100

saoimage (1.19-2) unstable; urgency=low

  * Moved imtoolrc to /etc/saoimage.

 -- Karl Sackett <krs@debian.org>  Wed, 30 Oct 1996 07:32:51 -0600

saoimage (1.19-1) unstable; urgency=low

  * New upstream release.
  * Package converted to 2.1.1.0 standards.

 -- Karl Sackett <krs@debian.org>  Tue, 29 Oct 1996 14:03:24 -0600

1.18-2
        * support files now architecture-independent (fixes bug #4108)
1.18-1
        * Upgrade to latest release
1.17-4
        * Added 'Section', 'Architecture' lines to debian.control
        * debian.rules now adds architecture extension to files

Local variables:
mode: debian-changelog
End:
