=== debian/control ===
Source: saoimage
Section: misc
Priority: optional
Maintainer:  Tinguaro Barreno Delgado <tbarreno@debian.org>
Standards-Version: 3.5.3.0

Package: saoimage
Architecture: any
Depends: ${shlibs:Depends}
Description: A utility for displaying and processing astronomical images.
 SAOimage (pronounced S-A-0-image) is a utility for displaying astronomical
 images wich runs under the X11 window environment.  Image files can be read
 directly, or image data may be passed through a named pipe (Unix) or a
 mailbox (VMS) from IRAF display tasks.  SAOimage provides a large selection
 of options for zooming, panning, scaling, coloring, pixel readback, display
 blinking, and region specification.  User interactions are generally
 performed with the mouse.
 .
 Capability of reading IRAF 2.11 .imh files added.
