=== debian/rules ===
#! /usr/bin/make -f
#

CC = gcc
OFLAGS = -O2
LDFLAGS =

IMTRCDIR = /etc/saoimage/
MFLAGS = -DSYSV -DPSCRIPT -DMIRIAD -D__EMX__

SHELL = /bin/sh
srcdir = .

INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root
INSTALL_DATA = $(INSTALL) -m 644 -o root -g root
INSTALL_DIR = $(INSTALL) -d -m 755 -o root -g root

config:
	$(checkdir)
	touch stamp-config

build:
	$(checkdir)
	test -f stamp-config || make -f debian/rules config
	make -f makefile.linux saoimage \
	  CC="$(CC)" OFLAGS="$(OFLAGS)" IMTRCDIR="$(IMTRCDIR)" \
	  MFLAGS="$(MFLAGS)"
	( cd doc && dvips manual.dvi -o manual.ps && dvips scale.dvi -o scale.ps )
	touch stamp-build

clean:
	$(checkdir)
	test -f stamp-config || make -f debian/rules config
	-( cd doc && rm -f *.ps )
	-make -f makefile.linux clean
	-rm -f stamp-config stamp-build
	-rm -rf debian/tmp* debian/files debian/substvars

binary-indep: checkroot
	$(checkdir)

binary-arch: checkroot
	$(checkdir)
	-rm -rf debian/tmp*
	test -f stamp-build || make -f debian/rules build
#
#
# debian/tmp
	$(INSTALL_DIR)  debian/tmp
	$(INSTALL_DIR)  debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/postinst debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/postrm debian/tmp/DEBIAN
	$(INSTALL_DATA) debian/conffiles debian/tmp/DEBIAN
# binaries
	$(INSTALL_DIR)  debian/tmp/usr/bin
	$(INSTALL_PROGRAM) -s saoimage debian/tmp/usr/bin
# libraries
	$(INSTALL_DIR)  debian/tmp/usr/lib/saoimage
# configuration
	$(INSTALL_DIR)  debian/tmp/etc/saoimage
	$(INSTALL_DATA) imtoolrc debian/tmp/etc/saoimage
# man pages
	$(INSTALL_DIR)  debian/tmp/usr/share/man/man1
	$(INSTALL_DATA)	doc/saoimage.man \
	                debian/tmp/usr/share/man/man1/saoimage.1
	-gzip -9fr debian/tmp/usr/share/man
# documentation
	$(INSTALL_DIR)  debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) debian/TODO debian/tmp/usr/share/doc/TODO.Debian
	$(INSTALL_DATA) debian/changelog \
	                debian/tmp/usr/share/doc/saoimage/changelog.Debian
	gzip -9 debian/tmp/usr/share/doc/saoimage/changelog.Debian
# menu file
	$(INSTALL_DIR)  debian/tmp/usr/lib/menu
	$(INSTALL_DATA) debian/saoimage debian/tmp/usr/lib/menu
#
	$(INSTALL_DATA) README         debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) NEWS           debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) doc/*.txt      debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) doc/color.code debian/tmp/usr/share/doc/saoimage
	$(INSTALL_DATA) doc/*.ps       debian/tmp/usr/share/doc/saoimage
	gzip -9 debian/tmp/usr/share/doc/saoimage/*.txt
	gzip -9 debian/tmp/usr/share/doc/saoimage/*.ps
#
# build the package
	dpkg-shlibdeps saoimage
	dpkg-gencontrol  -isp -psaoimage -Pdebian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f maininit.c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config build clean binary binary-arch binary-indep
